View Issue Details

IDProjectCategoryView StatusLast Update
0003605SymmetricDSImprovementpublic2018-07-11 10:24
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.9 
Target Version3.9.9Fixed in Version3.9.9 
Summary0003605: Transforms should return an old value for delete and new value for insert and updates
DescriptionConvert the transforms to return NewAndOldValue, using the old value when the event type is delete and new value when the event type is insert or update.

Relationships

related to 0003624 closedchenson Some situations can cause a transformed value to be written to the old column value instead of the new column value. 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 c30b7f5a

2018-06-18 10:10:07

admin

Details Diff
0003605: Transforms should return an old value for delete and new value
for insert and updates

0003605
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/LookupColumnTransform.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/ParameterColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/BinaryLeftColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ClarionDateTimeColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ConstantColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/IsNullTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/LeftColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/MathColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/SubstrColumnTransform.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/ValueMapColumnTransform.java Diff File

Issue History

Date Modified Username Field Change
2018-06-18 10:09 elong New Issue
2018-06-18 10:09 elong Status new => assigned
2018-06-18 10:09 elong Assigned To => elong
2018-06-18 10:11 elong Status assigned => resolved
2018-06-18 10:11 elong Resolution open => fixed
2018-06-18 10:11 elong Fixed in Version => 3.9.9
2018-06-18 11:00 admin Changeset attached => SymmetricDS 3.9 c30b7f5a
2018-06-21 15:16 admin Status resolved => closed
2018-07-11 10:24 mmichalek Relationship added related to 0003624